diff --git a/.travis-test-riot.sh b/.travis-test-riot.sh
new file mode 100755
index 0000000000..b488045df1
--- /dev/null
+++ b/.travis-test-riot.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# script which is run by the travis build (after `npm run test`).
+#
+# clones riot-web develop and runs the tests against our version of react-sdk.
+
+set -ev
+
+git clone --depth=1 https://github.com/vector-im/riot-web.git riot-web
+cd riot-web
+mkdir node_modules
+ln -s ../.. node_modules/matrix-react-sdk
+npm install
+(cd node_modules/matrix-js-sdk && npm install)
+npm run test
diff --git a/.travis.yml b/.travis.yml
index 6d68b66a1c..9a8f804644 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -4,3 +4,6 @@ node_js:
 install:
     - npm install
     - (cd node_modules/matrix-js-sdk && npm install)
+script:
+    - npm run test
+    - ./.travis-test-riot.sh